from statistics import mean


def compute_statistics(rows, regions):
    max_row = max(rows, key=lambda row: row.population)
    min_row = min(rows, key=lambda row: row.population)
    avg_population = int(mean([i.population for i in rows]))

    region_name = regions[max_row.region_id].title
    min_region_name = regions[min_row.region_id].title

    text = f"""
    Наибольший показатель числености населения составил 
    <br> <b style="color: #f542c8; font-size: 16px">{max_row.population}</b> человека в  <b style="color: #4290f5">{max_row.year}</b> году в регионе <u><b>{region_name}</b></u>
    <hr>
    Наименьший показатель числености населения составил 
    <br> <b style="color: #f542c8; font-size: 16px">{min_row.population}</b> человека в <b style="color: #4290f5">{min_row.year}</b> году в регионе <u><b>{min_region_name}</b></u>
    <hr>
    Среднее значение населения составило: <span style="background: yellow">{avg_population} человека</span>
    """

    return text