from sqlalchemy import create_engine, text
from sqlalchemy.orm import Session

import sys
sys.path.append(".")

from data.create_session import create_session

def fetch_population_info(s: Session, region_id, year):
    query = """
    SELECT *
    FROM populations
    WHERE (:rid = 0 OR region_id = :rid) 
        AND (:y = '-' OR year = :y)
    ORDER BY  year DESC
    """

    rows = s.execute(text(query), {"rid": region_id, "y": year})

    return rows

if __name__ == "__main__":
    with create_session() as s:
        data = list(fetch_population_info(s, 1, '-'))
        print(data)
    