from PySide6.QtWidgets import QApplication, QMainWindow, QDialog, QListWidgetItem, QMessageBox
from edit_dialog import Ui_Dialog

class EditDialog(QDialog):
    def __init__(self, regions, *args, **kwargs) -> None:
        super().__init__(*args, **kwargs)
        self.ui = Ui_Dialog()
        self.ui.setupUi(self)

        self.ui.btnAdd.clicked.connect(self.accept)
        self.ui.btnCancel.clicked.connect(self.reject)

        print(regions)
        for r in regions.values():
            self.ui.cmbRegions.addItem(r.title, r)

    def get_data(self):
        return {
            "region_id": self.ui.cmbRegions.currentData().id,
            "year": self.ui.txtYear.text(),
            "population": self.ui.txtPopulation.text()
        }